package com.parhamdata.aliza.dto;

import java.util.ArrayList;

import com.google.gson.GsonBuilder;

public class ResponseDto {

    public String id;
    public String object;
    public int created;
    public String model;
    private ArrayList<Choice> choices = new ArrayList<Choice>();
    public Usage usage;

    public ResponseDto() {
    }

    public String getId() {
        return this.id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getObject() {
        return this.object;
    }

    public void setObject(String object) {
        this.object = object;
    }

    public int getCreated() {
        return this.created;
    }

    public void setCreated(int created) {
        this.created = created;
    }

    public String getModel() {
        return this.model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public ArrayList<Choice> getChoices() {
        return new ArrayList<Choice>(choices);
    }

    public void setChoices(ArrayList<Choice> choices) {
        this.choices = choices;
    }

    public Usage getUsage() {
        return this.usage;
    }

    public void setUsage(Usage usage) {
        this.usage = usage;
    }

    @Override
    public String toString() {
        return new GsonBuilder().setPrettyPrinting()
                                .create()
                                .toJson(this);
    }
    
}
